Skip to Content
avatar image
Former Member

Keycode for License Merge Module


Hi, please help.  I am supporting a legacy enterprise app written in  VB6 + Crystal Report 10, now it is upgraded to Windows 7 and Crystal Report XI R2.  I need to create a deployment package using InstallShield.  But the Crystal License Merge Module is requiring a Keycode entry.  Where do I get it?  Can I assume to deploy my app within our firm is runtime license and should be free of charge?

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Sep 12, 2014 at 08:55 PM

    Hi Jonathan

    Before we get to the keycode;

    Do make sure yo are using CR XI R2 SP 6 as this is the only SP for CRXI R2 that supported WIN 7. To see how to update to SP 6, see this blog.

    As for the keycode. You can all sales at 866-681-3435 or navigate the registry to:

    HKEY_LOCAL_MACHINE\SOFTWARE\Business Objects\Suite 11.5\Crystal Reports\Keycodes

    - Ludek

    Senior Support Engineer AGS Product Support, Global Support Center Canada

    Follow us on Twitter

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 22, 2014 at 10:58 PM

    Actually I'm not so sure which merge module I really need to use.  I have a few canned Crystal Report files (*.rpt) being called from VB6 app using the component CRAXDRT.   There is no chance for users to chart a report at run time in this app.   So I wonder if I only have to deploy the minimum number of merge module without having to use the all four modules (RDC_DesignTime, RDC_License, RDC_ReportEngine and RDC_Runtime.)

    I have this question because right now the VB6 app is deployed to a Critrix XenApp 2003 server, and when I execute my code, it is giving me an error saying: [Error] Folder Synchronization, Error - Microsoft .Net Framework version 4.0 or later is missing.

    Since my app is not a .Net app, what caused this need for .Net framework?  So to me, either I need to install .Net Framework 4.0, or maybe if I simply install less merge module, then I won't run into this error of missing Dot Net 4.0 framework.  But I believe such dependency of .Net Framework should have been caught by InstallShield 2014.

    Any ideas?  Thank you.

    Add comment
    10|10000 characters needed characters exceeded